Bug 785371 - Review request: speed-dreams - The Open Racing Car Simulator
Summary: Review request: speed-dreams - The Open Racing Car Simulator
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jeremy Newton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 787713
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-28 12:08 UTC by MartinKG
Modified: 2013-01-12 00:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-31 21:21:42 UTC
leamas.alec: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
speed-dreams.spec (5.61 KB, text/x-rpm-spec)
2012-01-29 16:55 UTC, MartinKG
no flags Details
speed-dreams-2-bindir.patch (886 bytes, patch)
2012-01-29 16:56 UTC, MartinKG
no flags Details | Diff
speed-dreams-2.conf (70 bytes, application/octet-stream)
2012-01-29 16:57 UTC, MartinKG
no flags Details
speed-dreams-2.desktop (236 bytes, application/x-desktop)
2012-01-29 16:57 UTC, MartinKG
no flags Details
Fixes the wrong-fsf-address warnings, only comments changed. (31.73 KB, patch)
2012-02-07 10:26 UTC, Alec Leamas
no flags Details | Diff
Not-to-be applied spec file diff (1.54 KB, patch)
2012-02-08 16:59 UTC, Alec Leamas
no flags Details | Diff
pkgconfig.patch update (1.11 KB, application/octet-stream)
2012-07-10 11:39 UTC, Alec Leamas
no flags Details
freesolid.config.patch update (790 bytes, application/octet-stream)
2012-07-10 11:40 UTC, Alec Leamas
no flags Details
fedora-review review template (13.53 KB, text/plain)
2012-08-06 19:53 UTC, Alec Leamas
no flags Details
Review (7.78 KB, text/plain)
2012-08-13 16:19 UTC, Jeremy Newton
no flags Details

Description MartinKG 2012-01-28 12:08:30 UTC
Hi,

this is my first request of a rpm package on fedora or rpmfusion.
RPM SPEC File for speed-dreams-2.0.0-0.1.rc1_r4420.11.fc16.x86_64

SRPM URL:
http://ifile.it/etgi9dp/speed-dreams-2.0.0-rc1_r4420.11.fc16.src.rpm
Spec URL:
http://ifile.it/k8hlajs/speed-dreams.spec

Comment 1 Volker Fröhlich 2012-01-28 17:46:44 UTC
Please use Fedora's file hosting or something. I don't feel like requesting "download tickets" from a file hoster and neither does fedora-review.

I couldn't find your user name in the Fedora account system. Do you have a sponsor yet?

Comment 2 Kevin Kofler 2012-01-29 03:23:10 UTC
I fixed the review request subject to comply to the template. (A better summary than "fork of TORCS" is needed though!)

> http://ifile.it/k8hlajs/speed-dreams.spec

"no such file". Apparently, the upload already expired.

> I couldn't find your user name in the Fedora account system. Do you have a
> sponsor yet?

No, he doesn't, see https://bugzilla.rpmfusion.org/show_bug.cgi?id=2159#c3 .

Comment 3 MartinKG 2012-01-29 16:55:40 UTC
Created attachment 558188 [details]
speed-dreams.spec

Comment 4 MartinKG 2012-01-29 16:56:24 UTC
Created attachment 558189 [details]
speed-dreams-2-bindir.patch

Comment 5 MartinKG 2012-01-29 16:57:08 UTC
Created attachment 558190 [details]
speed-dreams-2.conf

Comment 6 MartinKG 2012-01-29 16:57:40 UTC
Created attachment 558191 [details]
speed-dreams-2.desktop

Comment 8 Alec Leamas 2012-02-01 14:23:54 UTC
Hi Martin!

I'm not a reviewer, but I can maybe help you a little. 

First of all: you need to get the URL:s to the spec and src rpm in shape. You have attached the spec file, and it works right now. However, in the long run URL:s to the source (which is fine ATM) and the spec should work. Each time you change anything, provide new URL:s (and don't forget to update the release # in the spec file).

You don't have to attach patches etc, they are all accessible in the srpm. 

Secondly, to others listening: this srpm is huge, roughly 1GB.

Third, someone needs to change the subject line to something like "Review request: speed-dreams - The Open Racing Car Simulator". I don't know if you can edit the subject line, otherwise a Fedora admin will certainly fix this. This is important to attract reviewers (which are not always easily found).

After a fast look at the spec file and source, it looks basically fine besides nit-picking details  in my not so experienced eyes.

One thing you will have to handle is that some source files have a Mozilla license (MPL 1.0), which is not compatible with GPLv2. Have a look into http://fedoraproject.org/wiki/Packaging:Guidelines#Licensing as a beginning.

Good luck!

--alec

Comment 9 MartinKG 2012-02-01 18:42:30 UTC
Thanks Alec,

a new modified speed-dreams.spec file is available:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/speed-dreams.spec?a=XkVakSJVH6o

Comment 10 Alec Leamas 2012-02-01 19:42:40 UTC
I'm afraid it's not that simple. But first, thanks for fixing the framework:
URL:s, heading, release number etc. Seems we're up & running.

But the licensing is trickier. If you look into the link above, there's
compatibility matrix. From there, you can find out that the Mozilla license
(MPL1.0) is incompatible with GPLv2.

Practically, this means that a binary RPM can't be made from both MPL1.0 and
GPLv2 sources (that they exist together in the srpm is no problem). So, be
prepared that this is no minor issue. I guess you need to look into that link again to get the details...

Now, what's your options? I'm by no means a specialist, and I have not looked
into the code at all. Let's hope someone of the more experienced people
corrects me if I'm wrong. My understanding:

- You can't have a License: tag saying "GPLv2 and MPL1.0", they are
incompatible.
- In some cases one can just remove the offending code (that's what happened
yesterday in another review).
- In other cases it's possible to package it in a subpackage (which can have a
license of it's own).
- You could talk to the MPL code upstream to see if they can relicense with a
dual license.

BTW, the situation implies that you should talk to upstream, since this is a
problem for anyone trying to package it. What's their opinion?

Hope this helps... (one could also hope I'm wrong, that there's a simple
solution)

Comment 11 MartinKG 2012-02-02 17:35:14 UTC
Hi Alec,

there is at the moment a discussion at the speed-dreams user forum regarding
the license issue

http://sourceforge.net/mailarchive/forum.php?thread_name=1d35033a06a2a6cf4cbe6ecac97050d5.squirrel%40mungewell.org&forum_name=speed-dreams-users

I hope there will be a solution before 2.0.0 finale version of speed-dreams.
Martin

Comment 12 Alec Leamas 2012-02-02 18:04:39 UTC
So, this library is just the expat library. This means that this is not only a license issue, but also an example of a bundled library. Basically,bundled libraries are not allowed in Fedora, see http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries. 

From the upstream discussion, it looks that they will try to use the system expat library instead for next version. Basically, I think this is the only feasible solution within reach. However,it also raises the question if there are any more bundled libraries, GPLv2 or not. Are you aware of any?

Comment 13 Alec Leamas 2012-02-02 18:41:11 UTC
I think we need help from some of the grown-ups. There are several libraries, some of which can/should/might be considered bundled. To simplify, I have made the libs available at http://dl.dropbox.com/u/17870887/speed-dreams-libs.tar.gz. 

After some checking I don't think these other libs exist in  Fedora today. However, they might be considered bundled anyway. So: have someone time to judge what libs (if any) in link above besides txml should be considered bundled, and thus should be packaged separately?

Comment 14 Alec Leamas 2012-02-02 19:57:30 UTC
hm... maybe I'm growing up, who knows? About time,then. If the definition of a bundled library is "something which exists and is maintained separately", I don't  think there's a need to check these libs. They seem to be TORCS sw only. However, if anyone has any more input on this it would be great to have it now instead of later,I guess.

Comment 15 Alec Leamas 2012-02-03 09:31:06 UTC
OK, there are open issues about txml lib, fix under way from upstream. There seems to be no other bundled libs(?). Next step is that you run rpmlint on the spec file and binary rpm, and show the output here (possibly after fixes, see http://fedoraproject.org/wiki/Common_Rpmlint_issues).

Comment 16 Alec Leamas 2012-02-03 11:01:24 UTC
I was to quick. From the list discussion, there are one or two more bundled libs.

The src/modules/simu/simuv2.1/SOLID-2.0 lib is clear, it should be packaged separately. Since it doesn't exist in Fedora today, I suggest that you make a new request for this package, blocking this one. Note that qhull, which SOLID possibly depends on, exists in Fedora (v 2003.1).

In my eyes, the pasted part of a header file  in src/libs/tgf/tgf.h is not a bundled library.

BTW, the upstream discussion describes this as "Fedora's law".  But it's also Debian's law, see http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries (links at at the very end).

Since repackaging the SOLID-2 library should mean exactly the same code as today, besides build system patches, maybe something is possible? Note that the library can still be part of the source, just the system variant is used if it exists.

Comment 17 MartinKG 2012-02-03 20:37:08 UTC
Here's another answer from Simon of the SD user forum:

>> The only thing I can say is that we can setup a plan for getting rid
>> of these 3 bundled libraries : technically speaking, it'll be some work,
>> but no major blocker AFAICS.
>>
>> But for 2.0, too late for fixing the all 3 ones. Definitely.
>>

> But this is very sad
>

Given that we're in RC then I would agree that it seems too much of a
hurdle to try to strip out the bundled libraries before releasing SD2.0.

However:
1). This does not mean that someone can't provide RPMs for Fedora, they
just will not be accepted into the Fedora repo. Does Fedora have the
equivilant of PPA's?

2). It might also be possible for someone to do the work based on SD2.0,
but have a patch to remove the libraries and use this as a basis for a PRM
in the Fedora repos.

You have to remember that the SD dev team is very small, only a few people
working on the coding side. If we take on too much, we'll never get SD2.0
out the door...

Comment 18 Alec Leamas 2012-02-04 10:56:08 UTC
There are three issues:
- The txml lib is the important one. Unless this is fixed, it will be hard.
- The tgf.h header is (to my understanding) no issue at all.
- The SOLID lib is an issue . However,  to patch cmake to detect and use a possible system variant should not be hard (adding a pkgconfig .pc file to solid would help, I guess). This could be done upstream or as a packaging post-release patch.

Since the txml issue is not just a policy but also a legal issue, it should have the highest priority. Not fixing this will block all kind of legal binary distribution. Is such a release meaningful?

Bottom line: if txml is fixed, I think a packaging might be possible. Of course, this is besides whatever other problems which might occur.

Comment 21 Alec Leamas 2012-02-07 10:07:49 UTC
You forgot to increment the release tag when submitting spec + srpm. Please increment it each time you submit a new version, like in last free-solid.spec.

You have a lot of errors and warnings. We need to apply a number of fixes to get it easier.
- It seems that your spec file is not valid utf. See http://fedoraproject.org/wiki/Common_Rpmlint_issues#file-not-utf8
- You seem to have network issues. Is possible for you to run rpmlint with a working internet connection?
- Description line(s) are too long. See http://fedoraproject.org/wiki/Common_Rpmlint_issues#description-line-too-long
- You have a lot of unstripped-binary-or-object, see http://fedoraproject.org/wiki/Common_Rpmlint_issues#unstripped-binary-or-object
- You need to be more careful when writing the changelog, and run rpmlint before submitting to avoid incoherent-version-in-changelog (the changelog entry should match %version-%release)
- Fix the non-conffile-in-etc warning, see http://fedoraproject.org/wiki/Common_Rpmlint_issues#non-conffile-in-etc

You also have some things to talk with upstream about:
  - speed-dreams.x86_64: W: shared-lib-calls-exit /usr/lib64/games/speed-dreams-2/lib/libtgfclient.so exit@GLIBC_2.2.5
  - speed-dreams.x86_64: W: shared-lib-calls-exit /usr/lib64/games/speed-dreams-2/lib/libtgf.so exit@GLIBC_2.2.5
  - I think I can provide you a patch for the incorrect-fsf-address, to send to upstream. An updated COPYING is at http://www.gnu.org/licenses/gpl-2.0.txt
  - A lot of empty readme.txt, ask what to do (remove in distribution?).
  - The missing manpage warnings. This is not a blocker for Fedora, but for Debian/Ubuntu. So some simple manpages might help.
  - Multiple invalid-soname errors. See e. g., https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=176617. In general, it seems like a bad idea to have non-versioned names, but it might possibly be acceptable if the libraries are outside of ld.so's search path (?).

Comment 22 Alec Leamas 2012-02-07 10:26:37 UTC
Created attachment 559905 [details]
Fixes the wrong-fsf-address warnings, only comments changed.

Comment 23 Alec Leamas 2012-02-07 18:20:51 UTC
++++++++++++++++

Comment 24 Alec Leamas 2012-02-08 16:58:24 UTC
Sorry for last spam, let's hope somebody smiled. Just a little, but still.

I have made a quick check (*not* a review) of your spec file. I have attached a diff of the changes I made. This diff *cannot*  just be applied, but should give you a hint. Feel free to ask if in doubt..

Some major issues:
- I think the %pkg_name macro adds nothing but confusion. Remove it, and rename patches and sources to %{name} instead.
- It is not ok to add the non-standard paths to ld.so.conf.d, these unversioned libs must be private. One solution might be to ask upstream to revert to use rpath (it's OK here, although rmplint will warn.) Another way might be to add a (edit existing?) wrapper script to use LD_LIBRARY_PATH. We need to settle on this, but not until upstream have handled what they already have at hands from us.
- Don't repeat the overall description in sub-packages.
- Remove unused macros.
- Order sources before patches, and in consecutive numbers.

Otherwise, see the patch. Look for TBD besides what's changed.

--a

Comment 25 Alec Leamas 2012-02-08 16:59:55 UTC
Created attachment 560316 [details]
Not-to-be applied spec file diff

Comment 27 Alec Leamas 2012-02-29 21:54:23 UTC
Upstream has decided to not unbundle the txml library in the upcoming release. This fact blocks this bug ATM. Upstream reference: https://sourceforge.net/apps/trac/speed-dreams/ticket/634

Comment 28 Volker Fröhlich 2012-03-05 01:08:28 UTC
Hm, what they call "txml" actually looks like Expat.

Comment 29 Alec Leamas 2012-03-05 07:02:18 UTC
Basically it is (actually it's a fork). This has been discussed, and the overall understanding is to replace txml w expat after upcoming 2.0 release.

Comment 31 Alec Leamas 2012-04-27 19:59:12 UTC
Besides fedora packaging rules, are these rpm:s good enough to be exposed at speed-dreams own website? What do you think?

Comment 32 MartinKG 2012-05-09 19:03:15 UTC
(In reply to comment #31)
> Besides fedora packaging rules, are these rpm:s good enough to be exposed at
> speed-dreams own website? What do you think?

I think the rpms are good enough, but I will wait until 2.1 and all Fedora requirements are complied. By the way I have posted the spec file on http://forums.fedoraforum.org/showthread.php?t=247525&page=3 .

Comment 33 MartinKG 2012-06-14 19:55:09 UTC
Spec URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-skinenigmang/0.1.2-4/vdr-skinenigmang.spec?a=eV_POBvkYYw

SRPM URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-skinenigmang/0.1.2-4/vdr-skinenigmang-0.1.2-4.fc17.src.rpm?a=c3c7_k3pkZI

%changelog
* Thu Jun 14 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-4
- more spec file cleanups
- fixed copying of source file to build dir

Comment 34 MartinKG 2012-06-14 19:57:12 UTC
sorry im little bit confused, please ignore last post.

Comment 35 MartinKG 2012-06-16 18:28:56 UTC
Building SD2.0.0 binaries for Fedora 16/17/18

At the moment, only a unoffical srpm source package is available on my private homepage.

mock build procedur to build rpm binaries for Fedora of speed-dreams-2.0.0:
 
wget https://www.disk.dsl.o2online.de/FclyPlh/RPMS/speed-dreams/speed-dreams-2.0.0-1.fc17/speed-dreams-2.0.0-1.fc17.src.rpm?a=7bnlFo2Objc -O  speed-dreams-2.0.0-1.fc17.src.rpm

choose the command for your platform:
mock  -r fedora-16-i386    --resultdir=/tmp/mock speed-dreams*src.rpm
mock  -r fedora-16-x86_64  --resultdir=/tmp/mock speed-dreams*src.rpm
mock  -r fedora-17-i386    --resultdir=/tmp/mock speed-dreams*src.rpm
mock  -r fedora-17-x86_64  --resultdir=/tmp/mock speed-dreams*src.rpm
mock  -r fedora-18-i386    --resultdir=/tmp/mock speed-dreams*src.rpm
mock  -r fedora-18-x86_64  --resultdir=/tmp/mock speed-dreams*src.rpm
 
 
This requires:
   - A x86_64 machine.
   - rpmdevtools  installed, and rpmdev-setuptree being run.
   - mock installed.
   - Some patience...

Comment 36 MartinKG 2012-06-20 17:39:57 UTC
Building SD2.0.0 binaries for Fedora 16/17/18
A description is now available on the speed dreams homepage under:
http://dev.speed-dreams.org/Martin/index.html

Comment 38 Alec Leamas 2012-07-10 11:39:31 UTC
Created attachment 597314 [details]
pkgconfig.patch update

Updated with parts of Ralf's patch

Comment 39 Alec Leamas 2012-07-10 11:40:49 UTC
Created attachment 597315 [details]
freesolid.config.patch update

Updated w parts of Ralf's patch

Comment 40 Alec Leamas 2012-07-10 11:54:18 UTC
PLease ignore comment #38 and #39 and their attachments. They were aimed for FreeSOLID (!)

Comment 41 MartinKG 2012-08-06 07:31:55 UTC
SRPM URL:
http://dev.speed-dreams.org/Martin/speed-dreams-2.1.0-1.trunk_r4810.fc17/speed-dreams-2.1.0-1.trunk_r4810.fc17.src.rpm

Spec URL:
http://dev.speed-dreams.org/Martin/speed-dreams-2.1.0-1.trunk_r4810.fc17/speed-dreams.spec

%changelog
* Thu Jul 26 2012 Alec Leamas <leamas@nowhere.net>  2.1.0-1.trunk_r4810
- Conditionalize spec on post-release or ordinary.
- Updating to latest git.
- Handle build system bugs (#728,#729,#731).
- Fix 'identical binaries copied, not linked' in drivers(#730).
- Simplified file list, use temporary docs dir, claim all dirs.
- Sorted deps.
- Fix Release: field.
- Fix non-working handling of spurious-executable-perm (#605)
- Added rpath for internal libraries.
- Filter out internal libs in requires/provides.
- Removed unneeded install fixes and macros.

Comment 42 MartinKG 2012-08-06 18:56:01 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: Unversioned so-files in non-devel package (fix or explain):speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/human/human.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/kilo2008/kilo2008.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/simplix/simplix.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/simplix_36GP/simplix_36GP.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/simplix_lp1/simplix_lp1.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/simplix_ls1/simplix_ls1.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/simplix_ls2/simplix_ls2.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/simplix_mp5/simplix_mp5.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/simplix_sc/simplix_sc.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/simplix_trb1/simplix_trb1.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/usr/usr.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/usr_36GP/usr_36GP.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/usr_lp1/usr_lp1.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/usr_ls1/usr_ls1.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/usr_ls2/usr_ls2.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/usr_rs/usr_rs.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/usr_sc/usr_sc.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/drivers/usr_trb1/usr_trb1.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/lib/liblearning.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/lib/libnetworking.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/lib/libraceengine.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/lib/librobottools.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/lib/libtgf.so speed-dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm :
     /usr/lib64/games/speed-dreams-2/lib/libtgfclient.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/lib/libtgfdata.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/modules/graphic/ssggraph.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/modules/simu/simuv2.1.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/modules/simu/simuv2.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/modules/simu/simuv3.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/modules/telemetry/telemetry.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/modules/track/track.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/modules/userinterface/legacymenu.so speed-
     dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm : /usr/lib64/games/speed-
     dreams-2/modules/userinterface/textonly.so


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "*No copyright* UNKNOWN", "GPL (v2 or later) LGPL
     (v2 or later)", "UNKNOWN", "GPL (v2 or later)", "*No copyright* GPL (v2
     or later)", "*No copyright* GENERATED FILE" For detailed output of
     licensecheck see file: /home/martin/rpmbuild/SPECS/785371-speed-
     dreams/licensecheck.txt
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Dist tag is present.
     Note: Multiple Release tags found
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Rpmlint
-------
Checking: speed-dreams-robots-base-2.1.0-1.trunk_r4810.fc17.x86_64.rpm
          speed-dreams-devel-2.1.0-1.trunk_r4810.fc17.x86_64.rpm
          speed-dreams-debuginfo-2.1.0-1.trunk_r4810.fc17.x86_64.rpm
          speed-dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm
          speed-dreams-2.1.0-1.trunk_r4810.fc17.src.rpm
speed-dreams-robots-base.x86_64: W: no-documentation
speed-dreams-devel.x86_64: W: no-documentation
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/librobottools.so librobottools.so
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/libraceengine.so libraceengine.so
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/libtgf.so libtgf.so
speed-dreams.x86_64: W: shared-lib-calls-exit /usr/lib64/games/speed-dreams-2/lib/libtgf.so exit@GLIBC_2.2.5
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/libtgfclient.so libtgfclient.so
speed-dreams.x86_64: W: shared-lib-calls-exit /usr/lib64/games/speed-dreams-2/lib/libtgfclient.so exit@GLIBC_2.2.5
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/liblearning.so liblearning.so
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/libtgfdata.so libtgfdata.so
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/libnetworking.so libnetworking.so
speed-dreams.x86_64: W: manual-page-warning /usr/share/man/man6/sd2-accc.6.gz 42: a space character is not allowed in an escape name
speed-dreams.src: W: invalid-url Source4: speed-dreams-src-unmaintained-2.1.0-trunk-r4810.tar.xz
speed-dreams.src: W: invalid-url Source3: speed-dreams-src-more-hq-cars-and-tracks-2.1.0-trunk-r4810.tar.xz
speed-dreams.src: W: invalid-url Source2: speed-dreams-src-hq-cars-and-tracks-2.1.0-trunk-r4810.tar.xz
speed-dreams.src: W: invalid-url Source1: speed-dreams-src-wip-cars-and-tracks-2.1.0-trunk-r4810.tar.xz
speed-dreams.src: W: invalid-url Source0: speed-dreams-src-base-2.1.0-trunk-r4810.tar.xz
5 packages and 0 specfiles checked; 7 errors, 10 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint speed-dreams speed-dreams-devel
speed-dreams.x86_64: I: enchant-dictionary-not-found en_US
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/librobottools.so librobottools.so
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/libraceengine.so libraceengine.so
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/libtgf.so libtgf.so
speed-dreams.x86_64: W: shared-lib-calls-exit /usr/lib64/games/speed-dreams-2/lib/libtgf.so exit@GLIBC_2.2.5
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/libtgfclient.so libtgfclient.so
speed-dreams.x86_64: W: shared-lib-calls-exit /usr/lib64/games/speed-dreams-2/lib/libtgfclient.so exit@GLIBC_2.2.5
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/liblearning.so liblearning.so
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/libtgfdata.so libtgfdata.so
speed-dreams.x86_64: E: invalid-soname /usr/lib64/games/speed-dreams-2/lib/libnetworking.so libnetworking.so
speed-dreams-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 7 errors, 3 warnings.
# echo 'rpmlint-done:'

Requires
--------
speed-dreams-robots-base-2.1.0-1.trunk_r4810.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    speed-dreams  
    speed-dreams(x86-64) = 2.1.0-1.trunk_r4810.fc17

speed-dreams-devel-2.1.0-1.trunk_r4810.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    speed-dreams(x86-64) = 2.1.0-1.trunk_r4810.fc17

speed-dreams-debuginfo-2.1.0-1.trunk_r4810.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

speed-dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libFreeSOLID.so.0()(64bit)  
    libGL.so.1()(64bit)  
    libGLU.so.1()(64bit)  
    libICE.so.6()(64bit)  
    libSDL-1.2.so.0()(64bit)  
    libSM.so.6()(64bit)  
    libX11.so.6()(64bit)  
    libXext.so.6()(64bit)  
    libXrandr.so.2()(64bit)  
    libc.so.6()(64bit)  
    libdl.so.2()(64bit)  
    libenet-1.3.3.so()(64bit)  
    libexpat.so.1()(64bit)  
    libgcc_s.so.1()(64bit)  
    libgcc_s.so.1(GCC_3.0)(64bit)  
    libjpeg.so.62()(64bit)  
    libjpeg.so.62(LIBJPEG_6.2)(64bit)  
    libm.so.6()(64bit)  
    libopenal.so.1()(64bit)  
    libplibjs.so.1.8.5()(64bit)  
    libplibsg.so.1.8.5()(64bit)  
    libplibsl.so.1.8.5()(64bit)  
    libplibssg.so.1.8.5()(64bit)  
    libplibssgaux.so.1.8.5()(64bit)  
    libplibul.so.1.8.5()(64bit)  
    libpng15.so.15()(64bit)  
    libpng15.so.15(PNG15_0)(64bit)  
    libpthread.so.0()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    libz.so.1()(64bit)  
    opengl-games-utils  
    rtld(GNU_HASH)  

Provides
--------
speed-dreams-robots-base-2.1.0-1.trunk_r4810.fc17.x86_64.rpm:
    
    speed-dreams-robots-base = 2.1.0-1.trunk_r4810.fc17
    speed-dreams-robots-base(x86-64) = 2.1.0-1.trunk_r4810.fc17

speed-dreams-devel-2.1.0-1.trunk_r4810.fc17.x86_64.rpm:
    
    speed-dreams-devel = 2.1.0-1.trunk_r4810.fc17
    speed-dreams-devel(x86-64) = 2.1.0-1.trunk_r4810.fc17

speed-dreams-debuginfo-2.1.0-1.trunk_r4810.fc17.x86_64.rpm:
    
    speed-dreams-debuginfo = 2.1.0-1.trunk_r4810.fc17
    speed-dreams-debuginfo(x86-64) = 2.1.0-1.trunk_r4810.fc17

speed-dreams-2.1.0-1.trunk_r4810.fc17.x86_64.rpm:
    
    speed-dreams = 2.1.0-1.trunk_r4810.fc17
    speed-dreams(x86-64) = 2.1.0-1.trunk_r4810.fc17

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 785371 -c
External plugins:

Comment 43 Alec Leamas 2012-08-06 19:53:40 UTC
Created attachment 602569 [details]
fedora-review review template

Since the fedora-review template raises some issues, I attach my own, private review. ATM, it's purpose is to sort out the issues in  raised in comment #42.

Comment 44 Jeremy Newton 2012-08-12 16:45:12 UTC
I would like to remark that the Manpage error from rpmlint should be fixed or at least reported upstream, though this is not a blocking issue for getting this accepted.

To underline the issues, it seems the following are blocking issues in order to get this accepted in my eyes, assuming I haven't missed anything:

-The license needs to be included in %doc, by just adding COPYING.txt to %doc

-If I'm not mistaken, the man pages are being included with %doc because the whole doc folder is being included. This seems sloppy and full of redundancy. It would be better to do something like this:
%doc COPYING.txt doc/userman doc/faq

Note that the "Multiple Release tags found" error can be ignored; it's just being caught up on the %(echo %{src_release} | tr '-' '_'), which is fine in my eyes.

Also note that I'm having trouble building or downloading. I think it's something on my side, but I'll post back here when I figure it out (if relevant).

I'll report back if I see any issues after I get it to build.

Comment 45 Jeremy Newton 2012-08-12 18:23:20 UTC
It seems it builds just fine under Mock. Test cases, Fedora 16 32bit and Fedora 17 64bit were both successful.

It seems I missed the rm -rf docs; mkdir docs part in the spec file, so please ignore my previous statements about documentation save for the rpmlint manpage warning.

Everything seems good, though I still think the extra docs folder is sloppy; The extra docs folder should be removed, as it's completely unnecessary.

This can be quickly fixed by changing the $doc line to:
%doc *.xml *.txt

Fix this minor issue and I SHOULD be able to approve this for you.

Also it maybe a good idea to leave a comment above the rm -rf docs line stating why it needs to be removed (I would assume it's because the documentation is depreciated, which should be reported upstream at least)

Comment 46 Jeremy Newton 2012-08-12 18:26:36 UTC
Sorry I made a typo,
the new %doc line should be something like this:

%doc docs/*.xml docs/*.txt

Comment 47 MartinKG 2012-08-13 08:20:10 UTC
thanks for your review.

%changelog
* Mon Aug 13 2012 Martin Gansser <linux4martin@gmx.de>  2.1.0-2.trunk_r4810
- removed extra docs folder because of file redundancy
- leave comment, why removed docs folder

Spec URL:
http://dev.speed-dreams.org/Martin/speed-dreams-2.1.0-2.trunk_r4810.fc17/speed-dreams.spec

Comment 48 Jeremy Newton 2012-08-13 16:19:19 UTC
Created attachment 604039 [details]
Review

Alec's Review template pretty much sums up my whole review, so much of it is a re-post, but I'll post it anyway.

Looks good

APPROVED

Comment 49 Alec Leamas 2012-08-13 16:59:39 UTC
Thanks for the review! Besides the effort it always is, the download sizes and related build times certainly made this review quite a task. Thanks again. 

Martin: congrats!

Comment 50 MartinKG 2012-08-13 17:32:19 UTC
New Package SCM Request
=======================
Package Name: speed-dreams
Short Description: speed-dreams - The Open Racing Car Simulator
Owners: martinkg
Branches: f16 f17
InitialCC:

Comment 51 Gwyn Ciesla 2012-08-13 17:52:18 UTC
Git done (by process-git-requests).

Added f18.

Comment 52 Alec Leamas 2012-08-13 20:32:26 UTC
Manpage typo ticket: https://sourceforge.net/apps/trac/speed-dreams/ticket/739

Comment 53 Jeremy Newton 2012-08-14 00:03:11 UTC
(In reply to comment #52)
> Manpage typo ticket:
> https://sourceforge.net/apps/trac/speed-dreams/ticket/739

Awesome thanks :)

Comment 54 Jason Tibbitts 2012-08-14 12:10:31 UTC
Why did the status and flags get changed?  I thought this was already reviewed and approved.

Comment 55 Alec Leamas 2012-08-14 12:42:25 UTC
I have no idea, but obviously I did some kind of mistake. However, it is indeed reviewed and approved. I'll talk to Jeremy, who is the one to reset the status and review flags.

It's something with me and these flags. We're not compatible.

Comment 56 Jeremy Newton 2012-08-14 15:38:50 UTC
Mistakes happen. Should be fixed now :)

Comment 57 MartinKG 2012-08-15 07:39:23 UTC
the package built successfully
http://koji.fedoraproject.org/koji/packageinfo?packageID=14505

Comment 58 Fedora Update System 2012-08-15 07:59:34 UTC
speed-dreams-2.1.0-3.trunk_r4810.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-3.trunk_r4810.fc16

Comment 59 Fedora Update System 2012-08-15 07:59:46 UTC
speed-dreams-2.1.0-3.trunk_r4810.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-3.trunk_r4810.fc17

Comment 60 Fedora Update System 2012-08-15 12:35:36 UTC
speed-dreams-2.1.0-5.trunk_r4810.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-5.trunk_r4810.fc16

Comment 61 Fedora Update System 2012-08-15 14:06:01 UTC
speed-dreams-2.1.0-5.trunk_r4810.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-5.trunk_r4810.fc17

Comment 62 Fedora Update System 2012-08-15 19:19:35 UTC
speed-dreams-2.1.0-6.trunk_r4810.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-6.trunk_r4810.fc16

Comment 63 Fedora Update System 2012-08-15 20:48:15 UTC
speed-dreams-2.1.0-6.trunk_r4810.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-6.trunk_r4810.fc17

Comment 64 MartinKG 2012-08-15 22:28:55 UTC
sorry for opening bug review, Bohdi AutoQA: depcheck test FAILED on x86_64 for fc16 and fc17.

fc16: http://autoqa.fedoraproject.org/report/bnxp
fc17: http://autoqa.fedoraproject.org/report/bnzk

i need help !

Comment 65 Alec Leamas 2012-08-16 02:59:49 UTC
Well. Hate to be formal, but still: this is not the place to ask for help. And reopening the bug is a certainly Bad Idea. The bug request is for a review, and eventually to get an approval. See http://fedoraproject.org/wiki/Package_Review_Process. 

Since you need help, I would suggest a message to the mailing list.  When you send thus message, it might also be a good idea to ask what to do with the bug, which now is in a even worse state than when I messed it up recently.

Comment 66 Ralf Corsepius 2012-08-16 03:23:25 UTC
speed-dreams-robots-base needs to be noarch'ed. It contains only files under /usr/share and therefore must not contain any arch-dependent files.  

Furthermore, as this package is amongst the biggest files (ca. 1G) in Fedora, this package being arch'ed adds significant bloat to Fedora, which noarch'ing it would at least somewhat dampen (In repositories on servers, noarch packages can be hard-linked. I.e. the diskspace requirements for this package be halved).

Comment 67 Jeremy Newton 2012-08-16 17:10:00 UTC
(In reply to comment #66)
> speed-dreams-robots-base needs to be noarch'ed. It contains only files under
> /usr/share and therefore must not contain any arch-dependent files.  
> 
> Furthermore, as this package is amongst the biggest files (ca. 1G) in
> Fedora, this package being arch'ed adds significant bloat to Fedora, which
> noarch'ing it would at least somewhat dampen (In repositories on servers,
> noarch packages can be hard-linked. I.e. the diskspace requirements for this
> package be halved).

Good point, I must have missed that in review, sorry.


@MartinKG Can you please take note of this and fix it?

Comment 68 Fedora Update System 2012-08-16 20:40:02 UTC
speed-dreams-2.1.0-7.trunk_r4810.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-7.trunk_r4810.fc17

Comment 69 Fedora Update System 2012-08-17 05:51:17 UTC
Package speed-dreams-2.1.0-6.trunk_r4810.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing speed-dreams-2.1.0-6.trunk_r4810.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12032/speed-dreams-2.1.0-6.trunk_r4810.fc17
then log in and leave karma (feedback).

Comment 70 Fedora Update System 2012-08-17 12:00:48 UTC
speed-dreams-2.1.0-9.trunk_r4810.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-9.trunk_r4810.fc17

Comment 71 Fedora Update System 2012-08-17 13:43:34 UTC
speed-dreams-2.1.0-9.trunk_r4810.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-9.trunk_r4810.fc16

Comment 72 MartinKG 2012-08-17 17:09:04 UTC
Sorry, I read this comment first today, because i hat problems with my email account. There is no longer access to the version
speed-dreams-2.1.0-6.trunk_r4810.fc17 possible in Bohdi because I deleted all previous versions. There are now only the versions
speed-dreams-2.1.0-9.trunk_r4810.fc17 and speed-dreams-2.1.0-9.trunk_r4810.fc17 available.

Comment 73 Jeremy Newton 2012-08-17 18:03:52 UTC
(In reply to comment #72)
> Sorry, I read this comment first today, because i hat problems with my email
> account. There is no longer access to the version
> speed-dreams-2.1.0-6.trunk_r4810.fc17 possible in Bohdi because I deleted
> all previous versions. There are now only the versions
> speed-dreams-2.1.0-9.trunk_r4810.fc17 and
> speed-dreams-2.1.0-9.trunk_r4810.fc17 available.

As long as no new issues have been introduced and the noarch for the sub package issue is fixed, this version should be fine.

Comment 74 Fedora Update System 2012-08-19 18:44:26 UTC
speed-dreams-2.1.0-10.trunk_r4810.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-10.trunk_r4810.fc17

Comment 75 Fedora Update System 2012-08-19 20:09:04 UTC
speed-dreams-2.1.0-10.trunk_r4810.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-10.trunk_r4810.fc16

Comment 76 MartinKG 2012-08-22 12:13:01 UTC
(In reply to comment #73)
it's seems to be a AutoQA depcheck bug, discussed on:
http://lists.fedoraproject.org/pipermail/devel/2012-August/171005.html

AutoQA bug report:
https://fedorahosted.org/fedora-infrastructure/ticket/3445

@Jeremy Can you please verify it, and close bug review as NEXTRELEASE again.

Comment 77 Rudolf Kastl 2012-08-22 14:54:59 UTC
Isnt a/the requirement to the data package (is there any yet?) missing?

Comment 78 MartinKG 2012-08-22 17:08:14 UTC
(In reply to comment #77)
> Isnt a/the requirement to the data package (is there any yet?) missing?

yes a requirement to the robots-base package should be necessary.

if the package is installed, then you should see a message such as:

rpm -ivh speed-dreams-2.1.0-11.trunk_r4810.fc17.x86_64.rpm
error: Failed dependencies:
	speed-dreams-robots-base = 2.1.0 is needed by speed-dreams-2.1.0-11.trunk_r4810.fc17.x86_64

could be solved with the attached patch. Is the release tag necessary ?
( %{name}-robots-base = %{version}-release )

--- speed-dreams-old.spec	2012-08-22 19:00:49.316607745 +0200
+++ speed-dreams.spec	2012-08-22 19:00:26.949605799 +0200
@@ -36,6 +36,7 @@
 Source5: %{name}.desktop
 
 Provides:      %{name} = %{version}-%{release}
+Requires:      %{name}-robots-base = %{version}
 Requires:      opengl-games-utils
 BuildRequires: cmake
 BuildRequires: chrpath

Comment 79 Fedora Update System 2012-08-23 07:43:33 UTC
speed-dreams-2.1.0-11.trunk_r4810.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-11.trunk_r4810.fc16

Comment 80 Fedora Update System 2012-08-23 07:43:49 UTC
speed-dreams-2.1.0-11.trunk_r4810.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-11.trunk_r4810.fc17

Comment 81 MartinKG 2012-08-31 14:07:30 UTC
pushed the package to stable, now this is the result:

AutoQA: upgradepath test FAILED on noarch.
[FAIL] f18 + f18-updates 
	Latest package: speed-dreams-2.1.0-3.trunk_r4810.fc18
	Latest pending package: None
	Error: Tested package must be less than or equal to the latest (pending) package.
http://autoqa.fedoraproject.org/results/425420-autotest/virt04.qa/upgradepath/results/speed-dreams-2.1.0-1.html

I have not a working speed-dreams-2.1.0-3.trunk_r4810.fc18 all woring packages
are available on http://koji.fedoraproject.org/koji/packageinfo?packageID=14505

what to do ?

Comment 82 Fedora Update System 2012-08-31 21:21:42 UTC
speed-dreams-2.1.0-11.trunk_r4810.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 83 Fedora Update System 2012-08-31 21:26:00 UTC
speed-dreams-2.1.0-11.trunk_r4810.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 84 Fedora Update System 2012-09-12 09:43:14 UTC
speed-dreams-2.1.0-11.trunk_r4810.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-11.trunk_r4810.fc18

Comment 85 Fedora Update System 2012-09-17 23:43:33 UTC
speed-dreams-2.1.0-11.trunk_r4810.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 86 Fedora Update System 2012-12-23 11:20:47 UTC
speed-dreams-2.1.0-12.trunk_r4810.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/speed-dreams-2.1.0-12.trunk_r4810.fc18

Comment 87 Fedora Update System 2013-01-12 00:21:27 UTC
speed-dreams-2.1.0-12.trunk_r4810.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.